STRUCT TEMPLATE SC(3)

NAME
boost::units::scale

SYNOPSIS

// In header: <boost/units/scale.hpp>
template<long Base, typename Exponent>
struct scale {
  // types
  typedef Exponent exponent;
  typedef double   value_type;
  // public static functions
  static value_type value();
  static const long base;
};

DESCRIPTION

class representing a scaling factor such as 10^3 The exponent must be a static rational.

  scale public static functions

    1.

    static value_type value();